#include <stdio.h>
#include <stdlib.h>
int decimala(int n,int m,int b,int j,int c){
    int t,p;
    t=n%b;
    p=m%b;
    if(n==0 && m>0){
        c=c+(p*j);
    }
    else if(n>0 && m==0){
        c=c+(t*j);
    }
    else if(p>t){
        c=c+(p*j);
    }
    else if(t>p){
        c=c+(t*j);
    }
    else if(t==p){
        c=(c+(p*j))+(p*(j*10));
        j=j*10;
    }
    if(n/b<1 && m/b<1){
        return c;
    }
    else{
        return decimala(n/10,m/10,b,j*10,c);
    }
}
int main()
{
    int x,y,br=10,z=0,i=1;
    scanf("%d %d",&x,&y);
    z=decimala(x,y,br,i,z);
    printf("%d",z);
    return 0;
}